AlmaLinux 8 : firefox (ALSA-2023:0288)
Discription

The remote AlmaLinux 8 host has a package installed that is affected by multiple vulnerabilities as referenced in the ALSA-2023:0288 advisory.

– An out of date library (libusrsctp) contained vulnerabilities that could potentially be exploited. This vulnerability affects Firefox DataTransfer.setData. (CVE-2023-23598)

– When copying a network request from the developer tools panel as a curl command the output was not being properly sanitized and could allow arbitrary commands to be hidden within. (CVE-2023-23599)

– Navigations were being allowed when dragging a URL from a cross-origin iframe into the same tab which could lead to website spoofing attacks (CVE-2023-23601)

– A mishandled security check when creating a WebSocket in a WebWorker caused the Content Security Policy connect-src header to be ignored. This could lead to connections to restricted origins from inside WebWorkers. (CVE-2023-23602)

– Regular expressions used to filter out forbidden properties and values from style directives in calls to console.log weren’t accounting for external URLs. Data could then be potentially exfiltrated from the browser. (CVE-2023-23603)

– Mozilla developers and the Mozilla Fuzzing Team reported memory safety bugs present in Thunderbird 102.6.
Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code. (CVE-2023-23605)

Note that Nessus has not tested for these issues but has instead relied only on the application’s self-reported version number.Read More

Back to Main

Subscribe for the latest news:
Generated by Feedzy
%d bloggers like this: